Create Config Store Option
- POST /platform/configuration/store/{config_option_id}
Inserts new Config Store Option.
Path Parameters
-
config_option_idstringrequired -
Name of the Config Store Option that you would like to create
Responses
The Config Store Option was inserted successfully
-
namestringrequired -
Name of this Config Store Option
-
valuestringrequired -
Value of this Config Store Option
-
changedbooleanrequired -
Whether or not this Config Store Option has changed
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
Config Store Option data already exists for the given name. (code: platform.config.store.already_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response